petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSAdaptSetStepLimits

Set the minimum and maximum step sizes to be considered by the controller

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptSetStepLimits(TSAdapt adapt,PetscReal hmin,PetscReal hmax)

Logically collective on TSAdapt

### Input Arguments

| adapt | - time step adaptivity context, usually gotten with TSGetAdapt()
| hmin | - minimum time step
| hmax | - maximum time step

### Options Database Keys

| -ts_adapt_dt_min <min> | - to set minimum time step
| -ts_adapt_dt_max <max> | - to set maximum time step

### See Also

TSAdapt, TSAdaptGetStepLimits(), TSAdaptChoose()

### Level

intermediate

### Location

src/ts/adapt/interface/tsadapt.c

### Examples

src/ts/examples/tutorials/extchem.c.html
src/ts/examples/tutorials/ex40.c.html
src/ts/examples/tutorials/ex41.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages